IntegrationTestPhaseConfigurer (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.runner.phase
[Groovy] Class IntegrationTestPhaseConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.test.runner.phase.DefaultTestPhaseConfigurer
          org.codehaus.groovy.grails.test.runner.phase.IntegrationTestPhaseConfigurer

    @groovy.transform.CompileStatic
    class IntegrationTestPhaseConfigurer
    extends DefaultTestPhaseConfigurer

Test phase configurer for the integration test phase

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`protected GrailsWebApplicationContext` | `appCtx`
`protected GrailsProjectLoader` | `projectLoader`
`protected GrailsProjectTestCompiler` | `projectTestCompiler`
`protected GrailsProjectWatcher` | `projectWatcher`
`protected MetaClassRegistryCleaner` | `registryCleaner`

Property Summary
`static GrailsWebApplicationContext` | `currentApplicationContext`

Constructor Summary
`IntegrationTestPhaseConfigurer(GrailsProjectTestCompiler projectTestCompiler, GrailsProjectLoader projectLoader)`

Method Summary
`void` | `cleanup(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)`
`void` | `prepare(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)`

Methods inherited from class DefaultTestPhaseConfigurer
cleanup, prepare

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### appCtx

    protected GrailsWebApplicationContext appCtx

### projectLoader

    protected GrailsProjectLoader projectLoader

### projectTestCompiler

    protected GrailsProjectTestCompiler projectTestCompiler

### projectWatcher

    protected GrailsProjectWatcher projectWatcher

### registryCleaner

    protected MetaClassRegistryCleaner registryCleaner

Property Detail

### currentApplicationContext

    static GrailsWebApplicationContext currentApplicationContext

Constructor Detail

### IntegrationTestPhaseConfigurer

    IntegrationTestPhaseConfigurer(GrailsProjectTestCompiler projectTestCompiler, GrailsProjectLoader projectLoader)

Method Detail

### cleanup

    @java.lang.Override
    void cleanup(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)

### prepare

    @java.lang.Override
    void prepare(groovy.lang.Binding testExecutionContext, java.util.Map testOptions)

Groovy Documentation